org.apache.ignite.internal.util.nio

## Interface GridNioMessageWriter

    public interface GridNioMessageWriter

Message writer.

### Method Summary

Methods
`boolean` `write(UUID nodeId, Message msg, ByteBuffer buf)`
`int` `writeFully(UUID nodeId, Message msg, OutputStream out, ByteBuffer buf)`

### Method Detail

#### write

    boolean write(@Nullable
                UUID nodeId,
                Message msg,
                ByteBuffer buf)

Parameters:
  `nodeId` - Node ID.
  `msg` - Message to write.
  `buf` - Buffer.
Returns:
  Whether message was fully written.

#### writeFully

    int writeFully(@Nullable
                 UUID nodeId,
                 Message msg,
                 OutputStream out,
                 ByteBuffer buf)
                   throws IOException

Parameters:
  `nodeId` - Node ID.
  `msg` - Message to write.
  `out` - Output stream to write to.
  `buf` - Buffer.
Returns:
  Number of bytes written.
Throws:
  `IOException` - In case of error.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015